Subject: RE: bug#13041: 24.2; diacritic-fold-search

From: "Drew Adams" <[email-masked]>
Date: Sun, 9 Dec 2012 10:00:16 -0800

> > The Unicode Regexp spec says that it is best, if possible, 
> > to let users do either.
> 
> We're talking about the (now misnamed) "diacritic-fold" search.
> If the user wants to be more strict, there's always going to be
> the "non-diacritic-fold" search.

Yes, and?  That ignoring of diacritics etc. is essentially what the Unicode
Regexp spec refers to as "loose matching", IIUC.  And that means "at least the
simple, default Unicode case folding."

You are considering, among other things, whether `f' should match the ? ligature
or whether only `ff' should match it.  The standard deals with this question, I
believe.  

(BTW, I cannot actually see that ligature with my mail client.  So I copied the
char from another mail message and pasted it, above.  If that copy+paste didn't
work, what I meant was the ligature for ff.)